xgb.DMatrix.save {xgboost} | R Documentation

## Save xgb.DMatrix object to binary file

### Description

Save xgb.DMatrix object to binary file

### Usage

    xgb.DMatrix.save(dmatrix, fname)

### Arguments

`dmatrix` | the `xgb.DMatrix` object
`fname` | the name of the file to write.

### Examples

    data(agaricus.train, package='xgboost')
    train <- agaricus.train
    dtrain <- xgb.DMatrix(train$data, label=train$label)
    xgb.DMatrix.save(dtrain, 'xgb.DMatrix.data')
    dtrain <- xgb.DMatrix('xgb.DMatrix.data')
    if (file.exists('xgb.DMatrix.data')) file.remove('xgb.DMatrix.data')

[Package xgboost version 0.90.0.2 Index]